As a follow up to the post, "Rebalancing: testing your intuition", I give the solution.

* The value of the buy and hold portfolio is always:
\[V_{bh}(p)=0.5+0.5\,p.\]
It is a linear function of the price since the number of shares held is constant.

* Assuming the price trajectories are smooth, the value of the continuously rebalanced portfolio is the solution of:
\[\frac{dV_{rb,u}}{V_{rb,u}}=0.5\,\frac{dp_{u}}{p_{u}},\]
and this is just:
\[V_{rb}(p)=p^{0.5},\]
assuming standard college calculus applies (this solves the equation and fits the initial condition).

Both value functions equal \(1\) for \(p=1\) since both portfolios are initialized with one dollar. As soon as the price deviates from one, the rebalanced portfolio has an active position versus the buy-and-hold portfolio which has the wrong sign (underweight if the price has gone up, overweight if the price has gone down). The value functions are graphed below.

Under these assumptions, the rebalanced portfolio always underperforms the buy-and-hold portfolio. Its value does not depend on the precise price trajectory, it only depends on the endpoint. Continuous rebalancing does not seem to be able to add value in this context. I'll tackle discrete rebalancing in the next post.

Remember that \(p\) can be interpreted as a relative price when the portfolio comprises two risky assets. Clearly, rebalancing is not offering good prospects if the relative price drifts away from its starting point.